.TH asmail 1 "15 Oct 2002" "Version 1.1"
.UC
.SH NAME
\fBasmail\fP \- the AfterStep e-mail monitor
.SH SYNOPSIS
.B asmail
[-h] [-V] [-v] [-nox]
        [-insecure]
        [-noconfig]
        [-f \fIresource file\fP]
        [-geometry \fIX geometry specification\fP]
.SH DESCRIPTION
The \fBasmail\fP is a X11 application that acts as
an e-mail monitor for a number of various format mailboxes.
The \fBasmail\fP provides a distinctive Afterstep
window manager look and feel and features multiple
options to allow the customization.

Basically, the tool shows you the following:
.PP
- The background image changes depending on whether
  there is e-mail in your mailboxes or not.
  Custom images may be loaded and used for animation
  sequences.
.PP
- The tool will display the number of e-mails waiting
  in each mailbox and/or the total numbers for all
  mailboxes together.
.PP
- For each mailbox, there is a status indicator that
  shows whether the update is running at this moment
  and indicates if there is an error. The same indicator
  shows up next to the summary line.

The folowing indicators are used for the status display:

  \fBR\fP  An update on the mailbox is running at this moment.
     For small mailboxes with fast access, you may never
     actually see it - so fast it disappears.

  \fBL\fP  An error occured that has to do with the login
     procedure. Most probably, your name/password
     combination was not accepted by the server.

  \fBC\fP  A connection problem. \fBasmail\fP could not
     connect to the server for some reason. The reasons
     may be many - server down, network unreachable,
     service not available and so on.

  \fBT\fP  A time-out has occured while \fBasmail\fP was
     waiting for the server's answer. If you have a
     frequent problem with this but the server seems
     to be available in other applicaitons, try 
     increasing the "timeout" setting for the mailbox.

  \fBF\fP  This is an indicator of a general error condition.
     Something is wrong, maybe the configuration is not
     correct, or the mailbox is not readable. Check the
     output of \fBasmail\fP by running from the terminal -
     this should give you an idea of what is wrong.

The resource files may be specified with a command line
option. The logic of \fBasmail\fP is simple: first it parses 
the resource file that you specified on the command line.
If you do not specify the resource file on the command
line, \fBasmail\fP will look in the default location (~/.asmailrc).
If it exists, \fBasmail\fP will parse that one. If no
configuration file was given on the command line and
there is no configuration file in the default location,
\fBasmail\fP will attempt to monitor the mailbox specified
by the \fB$MAILBOX\fP environment variable.

.SH CONFIGURATION OPTIONS
.IP "-h"
.RS
prints a short description and usage message.
.RE
.IP "-V"
.RS
Version control. Prints out the version of the program.
.RE
.IP "-v"
.RS
Verbose mode. In this mode, \fBasmail\fP will print the
information about mailboxes onto the controlling terminal.
The information includes: number of updates requested,
per mailbox: thread PID, [\fBR\fP]unning or idle, any
errors are signalled with leters (see above) and the
number of e-mails in the format new/old. This mode is
useful for debugging or could be used to monitor mailboxes
without X Windows interface (give the \fB-nox\fP option).
.RE
.IP "-f resource file"
.RS
Specifies the alternative location for the resource file.
The default location is ~/.asmailrc If the alternative
file is specified, the default location is ignored.
.RE
.IP "-geometry X geometry specification"
.RS
Specifies the size and position of the application
on the screen in the standard X11 format:

[=][<width>{xX}<height>][{+-}<xoffset>{+-}<yoffset>]
.RE
.IP "-noconfig"
.RS
Forces \fBasmail\fP to ignore the resource file even if
one is present. \fBasmail\fP will run with all default
settings and check the Unix mailbox specified by the
\fB$MAIL\fP environment variable.
.RE
.IP "-nox"
.RS
Starts the \fBasmail\fP application in the terminal-only
mode. The X Windows interface is not started. The configuration
file is still parsed as usual though.

This option implies \fB-v\fP option.
.RE
.IP "-insecure"
.RS
Usually, \fBasmail\fP will check that the resource file
has the \fB600\fP mode, that is there are no access rights
for "group" and "others". If such access rights are granted,
\fBasmail\fP will complain and exit. This is done to make
you remember the passwords you put into the resource file.

This option forces \fBasmail\fP to continue operation even
if the resource file has insecure permissions.
.RE
.SH RESOURCE FILE SYNTAX
The syntax of the resource file is described in a separate
man page under \fBasmailrc\fP (5).
.SH INVOCATION
\fBasmail\fP can be called in different ways.  The most 
common invocation is the command line:
.nf

	user@host[1]% asmail &

.fi
Another way to call \fBasmail\fP is from the window manager:
.nf

	*Wharf "asmail" nil Swallow "asmail" /usr/local/bin/asmail &

.fi
This line, when placed in the \fIwharf\fP file in the users Afterstep
configuration directory will cause \fBasmail\fP to be a
button on the \fBWharf (1)\fP button bar under the \fBafterstep (1)\fP
window manager.

.SH BUGS
My programs do not have bugs, they just develop random
features ;-)
.PP
Well, there are limitations. All the strings for the
color names, file names, and other strings have the
length limit of 256 characters (terminating zero included). 
The program will complain about very long names.
.PP
The number of mailboxes are limited by the space on the icon.
Make sure you pick up a tall one because they are shown from
the top down and there is no way to change this.
.PP
The information about mailboxes may not appear if you use
"shaped" windows with transparency if it is printed in the
transparent area.
.PP
If the program is not satisfied with the specification of
one of the mailboxes, it will print an error message, set
the status for that mailbox to \fBF\fP (Failed) and exit
the thread. Other mailboxes will be checked normally.
Check the standard output of the tool to see what the
problem is.
.SH FILES
.I ~/.asmailrc
.SH "SEE ALSO"
.BR asmailrc (5)
.BR afterstep (1)
.SH COPYRIGHTS
Copyright (c) 2002  Albert Dorofeev <albert@tigr.net>

Distributed under GNU General Public License v2 ; 
see LICENSE file for more informations.
.SH AUTHORS
Albert "Tigr" Dorofeev <albert@tigr.net>

See the README file for credits.
.sp
